#include <bits/stdc++.h>
using namespace std;

const int MAX = 1000;

int main() {

	ios_base::sync_with_stdio(false);
	int n,l;
	cin >> n >> l;
	int niz[MAX];
	for(int i=1;i<=n;i++) cin >> niz[i];
	int x=0;
	for(int i=1;i<=n;i++) {
		if(niz[i]<=l) {
			cout << i;
			break;
		}
		else x++;
	}
	if (x==n) cout << -1;

	return 0;
}